Loading...
Searching...
No Matches
doc_note_object_is_copied Class Reference

## Detailed Description

Note
  This method should be used with some caution. The fact that this method copies the object passed to it means that the caller will be left holding a physically different object instance than the one contained inside this object. Changes made to the original object instance (such as resetting attribute values) will not affect the instance in this object. In addition, the caller should make sure to free the original object if it is no longer being used, or else a memory leak will result. Please see other methods on this class (particularly a corresponding method whose name begins with the word `create`) for alternatives that do not lead to these issues.